## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.1
%bcond_without check
%global debug_package %{nil}

# https://github.com/opencontainers/runtime-spec
%global goipath         github.com/opencontainers/runtime-spec
Version:                1.0.2
%global commit          494a5a6aca782455c0fbfc35af8e12f04e98a55e

%gometa

%global common_description %{expand:
Open Container Initiative Runtime Specification.}

%global golicenses      LICENSE
%global godocs          ChangeLog GOVERNANCE.md README.md RELEASES.md\\\
                        bundle.md config-linux.md config-solaris.md config-\\\
                        vm.md config-windows.md config-zos.md config.md\\\
                        glossary.md implementations.md principles.md runtime-\\\
                        linux.md runtime.md spec.md style.md

Name:           %{goname}
Release:        %autorelease
Summary:        OCI Runtime Specification

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}
# Add type alias for ContainerState for compatibility
# https://github.com/opencontainers/runtime-spec/pull/1063
Patch0:         https://patch-diff.githubusercontent.com/raw/opencontainers/runtime-spec/pull/1063.patch#/0001-Add-type-alias-for-ContainerState-for-compatibility.patch

%description %{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Sep 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.0.2-11
- Bump to commit 494a5a6aca782455c0fbfc35af8e12f04e98a55e

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun  8 20:48:47 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.2-6.20210608git1c3f411
- Bump to commit 1c3f411f041711bbeecf35ff7e93461ea6789220

* Thu Mar 18 2021 Olivier Lemasle <o.lemasle@gmail.com> - 1.0.2-5.20210318gite6143ca
- Bump to commit e6143ca7d51d11b9ab01cf4bc39e73e744241a1b

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 23:59:01 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.2-3.20200815gitd438e29
- Add type alias for ContainerState for compatibility

* Sat Aug 15 19:17:47 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.2-2.20200815gitd438e29
- Bump to commit d438e29be51289c473d4cae695514f9763598449

* Thu Jul 30 17:53:13 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 01 15:46:24 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.1-1.20190501gita1b50f6
- Release 1.0.1, commit a1b50f621a48ad13f8f696a162f684a241307db0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-0.11.git6e08c69
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0.5.0-0.10.git6e08c69
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-0.9.git6e08c69
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jul 08 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.5.0-0.8.git6e08c69
- Upload glide files

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-0.7.git6e08c69
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 04 2017 Troy Dawson <tdawson@redhat.com> - 0.5.0-0.6.git6e08c69
- Cleanup spec file conditionals

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-0.5.git6e08c69
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-0.4.git6e08c69
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-0.3.git6e08c69
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-0.2.git6e08c69
- https://fedoraproject.org/wiki/Changes/golang1.7

* Tue Apr 26 2016 jchaloup <jchaloup@redhat.com> - 0.5.0-0.1.git6e08c69
- Bump to upstream 6e08c6983ef8c2173f10ca09266907d4e9e71716
  resolves: #1330416

* Tue Apr 12 2016 jchaloup <jchaloup@redhat.com> - 0-0.1.git93ca97e
- First package for Fedora
  resolves: #1326274

